package org.ubicollab.app.imgviewer.model;

/**
 * @author  Simone
 */
public class Content {
	
	/**
	 * @uml.property  name="name"
	 */
	private String Name;
	/**
	 * @uml.property  name="uRL"
	 */
	private String URL;
	/**
	 * @uml.property  name="fileName"
	 */
	private String fileName;
	
	public Content()
	{
		super();
	}
	
	public Content(String name, String URL, String fileName)
	{
		this.Name = name;
		this.URL = URL;
		this.fileName = fileName;
	}
	
	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return Name;
	}

	/**
	 * @param name
	 * @uml.property  name="name"
	 */
	public void setName(String name) {
		Name = name;
	}

	/**
	 * @return
	 * @uml.property  name="uRL"
	 */
	public String getURL() {
		return URL;
	}

	/**
	 * @param url
	 * @uml.property  name="uRL"
	 */
	public void setURL(String url) {
		URL = url;
	}
	/**
	 * @return
	 * @uml.property  name="fileName"
	 */
	public String getFileName() {
		return fileName;
	}

	/**
	 * @param fileName
	 * @uml.property  name="fileName"
	 */
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	
	public String toXML() {
		String xml = "<Content ";
		xml += "Name='" + Name + "' ";
		xml += "Url='" + URL + "' ";
		xml += "Filename='" + fileName + "' /";
		
		return xml;
	}

	


}
