package org.ubicollab.app.imgviewer.model;

import java.util.Vector;

/**
 * @author  Simone
 */
public class DeviceManager extends Vector<Device> implements ImageViewer{

	/**
	 * @uml.property  name="instance"
	 * @uml.associationEnd  
	 */
	private static DeviceManager instance = null;
	
	protected DeviceManager()
	{
	}
	
	/**
	 * @return
	 * @uml.property  name="instance"
	 */
	public static DeviceManager getInstance() {
	      if(instance == null) {
	         instance = new DeviceManager();
	         //System.out.println("NEW ISTANCE");
	      }
	      //System.out.println("Returning the istance");
	      return instance;
	   }
	
	
	public void registerDevice(String name, String serviceName) {
		this.add(new Device(name,serviceName));
		System.out.println("Image Viewer app: DeviceProxy registered: " + name);
	}

}
