/*
 * Copyright 2009 UbiCollab.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ubicollab.rdp.tan.model;

public class Settings {
	
	/** The Constant PLUGIN_PROTOCOL is the name exported to Discovery Manager. */
	public final static String PLUGIN_PROTOCOL = "Type-a-Number Plugin";
	
	/** The Constant SOAP_SERVICE_NAME is the service name exported to SOAP. */
	public final static String SOAP_SERVICE_NAME = "TAN_Plugin";
	
	/** The Constant STORAGE_ROOT holds the name of the ubicollab file folder. */
	public final static String STORAGE_ROOT = "ubifiles";
	
	/** The Constant SERVICE_FILE holds filename for persistant starage of services. */
	public final static String SERVICE_FILE = "services.xml";
	
	/** The valid XML Header string. */
	public final static String XML_HEADER = "<?xml version='1.0'?>";

}
